package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.EmsObjAttr;
import com.ruoyi.ems.mapper.EmsObjAttrMapper;
import com.ruoyi.ems.service.IEmsObjAttrService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源对象属性Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
@Service
public class EmsObjAttrServiceImpl implements IEmsObjAttrService
{
    @Autowired
    private EmsObjAttrMapper objAttrMapper;

    /**
     * 查询能源对象属性
     * 
     * @param id 能源对象属性主键
     * @return 能源对象属性
     */
    @Override
    public EmsObjAttr selectObjAttrById(Long id)
    {
        return objAttrMapper.selectObjAttrById(id);
    }

    /**
     * 查询能源对象属性列表
     * 
     * @param objAttr 能源对象属性
     * @return 能源对象属性
     */
    @Override
    public List<EmsObjAttr> selectObjAttrList(EmsObjAttr objAttr)
    {
        return objAttrMapper.selectObjAttrList(objAttr);
    }

    @Override
    public List<EmsObjAttr> selectByModelCode(String modelCode) {
        return objAttrMapper.selectByModelCode(modelCode);
    }

    /**
     * 新增能源对象属性
     * 
     * @param objAttr 能源对象属性
     * @return 结果
     */
    @Override
    public int insertObjAttr(EmsObjAttr objAttr)
    {
        return objAttrMapper.insertObjAttr(objAttr);
    }

    @Override
    public int insertBatch(List<EmsObjAttr> list) {
        return objAttrMapper.insertBatch(list);
    }

    /**
     * 修改能源对象属性
     * 
     * @param objAttr 能源对象属性
     * @return 结果
     */
    @Override
    public int updateObjAttr(EmsObjAttr objAttr)
    {
        return objAttrMapper.updateObjAttr(objAttr);
    }

    /**
     * 批量删除能源对象属性
     * 
     * @param ids 需要删除的能源对象属性主键
     * @return 结果
     */
    @Override
    public int deleteObjAttrByIds(Long[] ids)
    {
        return objAttrMapper.deleteObjAttrByIds(ids);
    }

    /**
     * 删除能源对象属性信息
     * 
     * @param id 能源对象属性主键
     * @return 结果
     */
    @Override
    public int deleteObjAttrById(Long id)
    {
        return objAttrMapper.deleteObjAttrById(id);
    }

    @Override
    public int deleteByModelCode(String modelCode) {
        return objAttrMapper.deleteByModelCode(modelCode);
    }
}
